Subject: Re: [PATCH v2 00/30] initial support for multiple hash functions

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Feb 2024 14:18:58 -0800

"Eric W. Biederman" <[email-masked]> writes:

> This addresses all of the known test failures from v1 of this set of
> changes.  In particular I have reworked commit_tree_extended which
> was flagged by smatch, -Werror=array-bounds, and the leak detector.
>
> One functional bug was fixed in repo_for_each_abbrev where it was
> mistakenly displaying too many ambiguous oids.
>
> I am posting this so that people review and testing of this patchset
> won't be distracted by the known and fixed issues.

We haven't seen any reviews on this second round, and have had it
outside 'next' for too long.  I am tempted to say that we merge it
to 'next' and see if anybody screams at this point.

Thanks.